org.jetlang.remote.acceptor

## Class NioJetlangSendFiber

- java.lang.Object
- - org.jetlang.remote.acceptor.NioJetlangSendFiber

    public class NioJetlangSendFiber
    extends Object

### Nested Class Summary

Nested Classes
`static class` `NioJetlangSendFiber.ChannelState`

### Constructor Summary

Constructors
Constructor and Description
`NioJetlangSendFiber(org.jetlang.fibers.Fiber sendFiber, org.jetlang.fibers.NioFiber receiveFiber, ObjectByteWriter objectByteWriter, Charset charset, org.jetlang.fibers.NioFiberImpl.OnBuffer ob)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleClose(NioJetlangSendFiber.ChannelState sc)`
`void` `handleLogout(NioJetlangSendFiber.ChannelState channel)`
`void` `onNewSession(NioJetlangSendFiber.ChannelState channel)`
`void` `onSubscriptionRequest(String topic, NioJetlangSendFiber.ChannelState sc)`
`void` `onUnsubscribeRequest(String topic, NioJetlangSendFiber.ChannelState sc)`
`<T> void` `publish(NioJetlangSendFiber.ChannelState sc, String topic, T msg)`
`void` `publishBytes(NioJetlangSendFiber.ChannelState channel, byte[] data)`
`void` `publishIfSubscribed(NioJetlangSendFiber.ChannelState sc, String topic, byte[] data)`
`void` `publishToAllSubscribedClients(String topic, Object obj)`
`void` `reply(NioJetlangSendFiber.ChannelState sc, int reqId, String replyTopic, Object replyMsg)`
`void` `sendIntAsByte(NioJetlangSendFiber.ChannelState channel, int heartbeat)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioJetlangSendFiber

    public NioJetlangSendFiber(org.jetlang.fibers.Fiber sendFiber,
                               org.jetlang.fibers.NioFiber receiveFiber,
                               ObjectByteWriter objectByteWriter,
                               Charset charset,
                               org.jetlang.fibers.NioFiberImpl.OnBuffer ob)

### Method Detail

#### onNewSession

    public void onNewSession(NioJetlangSendFiber.ChannelState channel)

#### publishToAllSubscribedClients

    public void publishToAllSubscribedClients(String topic,
                                              Object obj)

#### sendIntAsByte

    public void sendIntAsByte(NioJetlangSendFiber.ChannelState channel,
                              int heartbeat)

#### onSubscriptionRequest

    public void onSubscriptionRequest(String topic,
                                      NioJetlangSendFiber.ChannelState sc)

#### onUnsubscribeRequest

    public void onUnsubscribeRequest(String topic,
                                     NioJetlangSendFiber.ChannelState sc)

#### publish

    public <T> void publish(NioJetlangSendFiber.ChannelState sc,
                            String topic,
                            T msg)

#### reply

    public void reply(NioJetlangSendFiber.ChannelState sc,
                      int reqId,
                      String replyTopic,
                      Object replyMsg)

#### publishIfSubscribed

    public void publishIfSubscribed(NioJetlangSendFiber.ChannelState sc,
                                    String topic,
                                    byte[] data)

#### publishBytes

    public void publishBytes(NioJetlangSendFiber.ChannelState channel,
                             byte[] data)

#### handleLogout

    public void handleLogout(NioJetlangSendFiber.ChannelState channel)

#### handleClose

    public void handleClose(NioJetlangSendFiber.ChannelState sc)